Bug 91190 - Update www/mod_fastcgi to work with Apache 2.2
Summary: Update www/mod_fastcgi to work with Apache 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-01 22:40 UTC by Dominic Mitchell
Modified: 2006-02-11 14:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.53 KB, patch)
2006-01-01 22:40 UTC, Dominic Mitchell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Mitchell 2006-01-01 22:40:03 UTC
        Presently, mod_fastcgi doesn't compile with Apache 2.2.  I've
        tracked down a patch which makes it work correctly, and inserted
        it into this port.

        http://fastcgi.com/archives/fastcgi-developers/2005-December/004060.html

        In the process, I have converted the port to use the new
        USE_APACHE knob, simplifying the Makefile enormously.

Fix: Here's the patch.  I've added one new file, files/patch-apache22
        and I've removed pkg-plist (it's no longer required).
How-To-Repeat: 
        n/a
Comment 1 Edwin Groothuis freebsd_committer 2006-01-01 22:41:51 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Sam Lawrance freebsd_committer 2006-02-11 05:37:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take it
Comment 3 Sam Lawrance freebsd_committer 2006-02-11 14:50:01 UTC
State Changed
From-To: feedback->closed

Committed, thanks!